2020-02-22 01:44 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003006BuckRogers[All Projects] Generalpublic2014-05-09 14:11
Reportertomse 
Assigned ToJOTDProject InfoBuck Rogers (TSR)
http://www.whdload.de/games/BuckRogers.html
 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003006: Hanging keys after character creation
DescriptionI made a note of this in 0002829
the text below is a copy paste of this

As an addition, after the creation of a character and you get back to the menu, to create more characters, the cursor/selection (bar) scrolls in an infinite loop, which it does all the way through the creation of the second character. where after finishin, it stops. This happens through all the even number of characters I've created.

happens on A1200 030@50 and A4000 060@50 CSPPC in WB3.1
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.2
imported
Attached Files
  • ? file icon .whdl_register (26,376 bytes) 2014-05-06 22:29 -
    ************************* 06-May-14 22:20:23 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:26 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:27 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:28 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:29 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:30 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ************************* 06-May-14 22:20:32 ************************17.2.5386***
    Slave='BuckRogers.slave' (4800 bytes)
    ShadowMem  831C458 -  833F458 ( 143360) AbsolutMem    23000 -    80000 ( 380928)
    Resload    FAD3000 -  FADB1BC (  33212) at FAD3000  GL=$FB9E000
    Slave      FBA7000 -  FBA829C (   4764) at FBA7000  BaseMemSize=$80000
    ExpMem     FADD000 -  FB9D000 ( 786432) at FADD000
    attn=FF(60,82) fc=-1 kn=22239 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $FB147CA (ExpMem $377CA) Long Read from
    $3ECAB638
    
    $0fb1479e ble.w        $fb147ac
    $0fb147a2 move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147a6 lsr.l        #2,d1
    $0fb147a8 bra.w        $fb147b0
    $0fb147ac move.l       ($14,a1),d1                    ;$0fb25398
    $0fb147b0 move.l       (8,a1),d2                      ;$0fb2538c
    $0fb147b4 lsl.l        #2,d2
    $0fb147b6 move.l       d1,($14,a0,d2.l)               ;$3ecab644
    $0fb147ba move.l       ($10,a1),d1                    ;$0fb25394
    $0fb147be jmp          (a6)                           ;$0fb11128
    $0fb147c0 tst.l        d1
    $0fb147c2 beq.w        $fb14894
    $0fb147c6 move.l       d1,d2
    $0fb147c8 lsl.l        #2,d2
    $0fb147ca cmpi.l       #$abcd,(8,a0,d2.l)             ;$3ecab638
    $0fb147d2 bne.w        $fb14838
    $0fb147d6 move.l       a2,d3
    $0fb147d8 lsr.l        #2,d3
    $0fb147da lsl.l        #2,d3
    $0fb147dc cmp.l        ($18,a0,d2.l),d3               ;$3ecab648
    $0fb147e0 bne.w        $fb14838
    $0fb147e4 moveq        #$10,d0
    $0fb147e6 move.l       ($104,a2),a4                   ;$0fb21f0c
    $0fb147ea jsr          (a5)                           ;$0fb11134
    $0fb147ec move.l       d1,(4,a1)                      ;$0fb25388
    $0fb147f0 move.l       (a1),d2                        ;$0fb25384
    $0fb147f2 lsl.l        #2,d2
    $0fb147f4 move.l       ($c,a0,d2.l),d1                ;$3ecab63c
    $0fb147f8 moveq        #$14,d0
    
    exception stackframe:
    $0FB9CFF0 00000FB1 47CA4008 3ECAB638 01010800
    regular stack:
    $0FB25954 00000000 00000000 00000000 000000C8 0000006F 0FB2AD8C 0FAD3000 0FB32C1A
    $0FB25974 0FB3AA16 0FB257A4 0FB21CC0 0FBA8284 00000001 0FB25A00 00000FA0 00000FA8
    $0FB25994 00000001 0000003E 03EC9295 0FB221D4 0FBA813C 0FBA8141 0FAD3000 0FB23F64
    $0FB259B4 0FB259C8 0FBA819C 0FB21CC0 0FBA8178 0FB1192E 00000FA0 0FB22850 03EC77F5
    $0FB259D4 00000001 0FB1D5E4 03EC9680 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        C   FB2AD8C  3ECAB630         0         0   FB25378        6F   FB2AD8C
    Ax        0   FB25384   FB21E08   FB21D32   FB147C0   FB11134   FB11128
    
                     TTSM III   XNZVC
    PC= FB147CA  SR %0000000000000000  USP=FB25954  SSP=FB9CFF0
    VBR=FB9F000  SFC=5  DFC=1  CACR=80008000  PCR=04300522  BUSCR=00000000
    TC=8000  URP=0FAD1000  SRP=0FAD1000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015C  joy0dat..95EE  joy1dat..0000  clxdat...8023  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F16  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=7A7F<7A7F	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000314  icr=00  sdr=00    event=000139  icr=04  sdr=00
    
    ? file icon .whdl_register (26,376 bytes) 2014-05-06 22:29 +
  • ? file icon BuckRogers.slave (5,156 bytes) 2014-05-08 22:37

-Relationships
+Relationships

-Notes

note ~0003926

JOTD (developer)

does it happen with the latest released slave?

note ~0003928

tomse (reporter)

Last edited: 2014-05-06 12:44

View 2 revisions

yes it does.

the saving of the first character is really slow as well, lots of screen refreshes happens, can't say for other characters as I didn't test saving those.. due to the hanging keys.

I'd be willing to do betatesting before a new release.

note ~0003929

JOTD (developer)

Ok, 2 bugs:

- slow/flashing OS swaps: I think that game opens/writes/closes the file a lot of times (I had to patch Anstoss specifically for this very reason)
- hanging keys: can you try the following workaround: use mouse on the "save xxx" question?

When you type keys during OS swaps, some key presses/releases can be lost and the virtual OS running the game is a bit confused.
Another workaround to try would be to type "enter" again.

note ~0003940

tomse (reporter)

I'll try using mouse to save.
hitting enter on the second character creation doesn't help much..
I think it's the arrow keys that hangs, though the ending result of "YES" to save character is an Enter key.

I'll see what I can do when I get home tonight.

note ~0003941

tomse (reporter)

Ok, I used the mouse to create the first character, no keys hung.

The second character I created I used they keyboard, there the keyboard hung.

It's the Enter key that hangs, which is also the last key being used before the char is saved.

The save of the char still made a lot of screen refreshes / taking a long time to save.

note ~0003942

JOTD (developer)

You can replace enter by click on yes (I tested that it works)

About the save of the char: I'll fix this.

note ~0003943

tomse (reporter)

Last edited: 2014-05-06 20:37

View 2 revisions

I've done some more testing.

imo, the game is heavily depending on keyboard use, so a hanging enter key is problematic.

I've now tried to save a game using same methods.. and ofc hitting enter for a game makes the key hang.

I've also now noticed that the "slow" saving might be due to allocation of the files, as overwriting a save game is fast.

After a save I made a quit,
new error: it says the game is not saved (this I can live with)

but also WHDLoad gave an exception:


Exception "Access Fault" ($4008)
PC = $FB147CA (ExpMem $377CA)
Long Read From $3ECAB638

(note Running on A4000 060@50 Kick 3.1 OS3.1 w/BetterWB 3.6 if that can help with the error message)

note ~0003944

JOTD (developer)

the hanging is only on save (when screen flickers)

I can fix the flicker as I said.

When did the crash occured?
Can you attach the ".whdl_register" file that whdload creates when it crashes and explain exactly when it occurs?

note ~0003945

tomse (reporter)

The crash occures when you exit to workbench, the regular way by clicking Exit to workbench, you should see it right away on the first menu, you don't even need to create a character or anything.
I don't know if it's "normal" behavior as it is whdload..

I have all the dump files, but attaching only .whdl_register
let me know if you need the rest.

note ~0003948

JOTD (developer)

Ok, so no big deal. I can deal with that but that's perfectionnism as you can quit with quitkey.

BTW check the attached .slave in this bugreport and tell me how it goes in the screenflash section.

note ~0003952

tomse (reporter)

thanks alot for the speedy reply..
unfortunately I'm on my way to bed now..

I'll be checking it when I get back from work tomorrow.
hope thats ok with you.

note ~0003954

JOTD (developer)

no problem. I've fixed the "exit" bug too (not in the attached slave).

I'm waiting for your test, and I'll publish the update / close this issue

regards

note ~0003958

tomse (reporter)

Just tried the new version.
it seems the loading time is a little faster to get to the intro.

but still enter key is hanging, and no change in saving a char

note ~0003959

JOTD (developer)

I was wondering about your whdload prefs. Don't you use "writedelay" to some ludicrious value?

note ~0003961

tomse (reporter)

Im using the default settings. With sysinfo my disk transfers with 23mb/s

note ~0003962

JOTD (developer)

I'll try something else and will let you test it.

note ~0003963

Psygore (manager)

JOTD, about the enter key hanging: I had the same problem too with some OS games.
I just put a little wait (resload_Delay) before it creates a new file to avoid this problem.
Find the string of characters ";create an empty file" in kickfs.s and add a wait before the 'resload_SaveFile' function.
Hope it helps.

note ~0003965

JOTD (developer)

Thanks. I was about to do that in the slave itself (I already intercept dos.Open with MODE_NEWFILE)

note ~0003966

tomse (reporter)

Thanks JOTD I can't test today, but will be home almost the whole day tomorrow.

note ~0003968

JOTD (developer)

I've attached a slave with 1 second wait after RETURN has been pressed.
However, if RETURN is kept pressed, problems could occur.

Please test the "exit to wb" menu too.

BTW I had the problem with winuae. Just pressing another key/RETURN solved it.

note ~0003977

tomse (reporter)

The problem with the stuck enter key is you can't quit character creation once started, you you'll have to go through all the steps. It'll also fill out a few info for you and you can't go back to correct these.

Thanks, I just tested and things are working great now.
Saving a char still takes some time + there are 2 screen refreshes, but now it seems to work as the diskette version. So unless you're a perfectionist, leave it :-)

The game still tells that the game hasn't been saved when quitting, even though it just was. it's not something that bothers me either.. so I'll leave it to your descision ;-)

Thanks a lot for your patience and the fixes. I'm looking forward to get started playing this game again!

note ~0003978

JOTD (developer)

Ok, I think I can release the new version now. The last bug you're reporting will remain unfixed (after all most people quit with quitkey).

thanks for testing.
+Notes

-Issue History
Date Modified Username Field Change
2014-05-04 09:15 tomse New Issue
2014-05-06 12:33 JOTD Note Added: 0003926
2014-05-06 12:43 tomse Note Added: 0003928
2014-05-06 12:44 tomse Note Edited: 0003928 View Revisions
2014-05-06 15:45 JOTD Assigned To => JOTD
2014-05-06 15:45 JOTD Status new => assigned
2014-05-06 16:05 JOTD Note Added: 0003929
2014-05-06 16:58 tomse Note Added: 0003940
2014-05-06 20:16 tomse Note Added: 0003941
2014-05-06 20:18 JOTD Note Added: 0003942
2014-05-06 20:35 tomse Note Added: 0003943
2014-05-06 20:37 tomse Note Edited: 0003943 View Revisions
2014-05-06 22:02 JOTD Note Added: 0003944
2014-05-06 22:29 tomse Note Added: 0003945
2014-05-06 22:29 tomse File Added: .whdl_register
2014-05-06 22:58 JOTD File Added: BuckRogers.slave
2014-05-06 23:00 JOTD Note Added: 0003948
2014-05-06 23:11 tomse Note Added: 0003952
2014-05-06 23:17 JOTD Note Added: 0003954
2014-05-07 09:16 JOTD Priority normal => high
2014-05-07 17:21 tomse Note Added: 0003958
2014-05-07 22:43 JOTD Note Added: 0003959
2014-05-08 11:07 tomse Note Added: 0003961
2014-05-08 12:37 JOTD Note Added: 0003962
2014-05-08 14:30 Psygore Note Added: 0003963
2014-05-08 15:38 JOTD Note Added: 0003965
2014-05-08 21:06 tomse Note Added: 0003966
2014-05-08 22:36 JOTD File Deleted: BuckRogers.slave
2014-05-08 22:37 JOTD File Added: BuckRogers.slave
2014-05-08 22:38 JOTD Note Added: 0003968
2014-05-09 11:15 tomse Note Added: 0003977
2014-05-09 14:11 JOTD Note Added: 0003978
2014-05-09 14:11 JOTD Status assigned => closed
2014-05-09 14:11 JOTD Resolution open => fixed
+Issue History